#include <iostream>
using namespace std;
int main()
{
    long long L,m,n,br=0;
    cin>>L>>m>>n;
    while(L>=0)
    {
        L=L-m;
        m+=n;
        br++;
    }
    cout<<br<<endl;
    return 0;
}